<?xml version='1.0' encoding='UTF-8'?>
<!--
  ~ Copyright (c) DbVis Software AB. All Rights Reserved.
  -->
<sql:Dialect xmlns:sql="http://dbvis.com/sql-dialect.xsd" tag="exasol" references= "https://docs.exasol.com/sql/create_function.htm, https://docs.exasol.com/sql/create_script.htm">
   <sql:ComplexStatement begin="CREATE [OR REPLACE] FUNCTION" end="/" end.anchor="only" end.include="false" comment="Remainder of DbVis syntax?"/>
<!--   <ComplexStatement begin="CREATE [OR REPLACE] FUNCTION" end="END [*][;]" comment="Actual EXASOL syntax?">-->
<!--      <InnerStatement begin="IF" end="END IF" />-->
<!--   </ComplexStatement>-->

   <sql:ComplexStatement begin="CREATE [OR REPLACE] [JAVA | PYTHON | LUA | R | *] [SCALAR | SET | ADAPTER] SCRIPT" end="/" end.anchor="only" end.include="false" comment="Remainder of DbVis syntax?"/>
<!--   <ComplexStatement begin="CREATE [OR REPLACE] [JAVA | PYTHON | LUA | R | *] [SCALAR | SET | ADAPTER] SCRIPT" end="END" comment="Actual EXASOL syntax?">-->
<!--      <InnerStatement begin="FOR" end="END" />-->
<!--      <InnerStatement begin="IF" end="END" />-->
<!--   </ComplexStatement>-->
</sql:Dialect>